Loading...
Searching...
No Matches
Halide::Internal::aslog Class Reference

`#include <ASLog.h>`

## Public Member Functions

| aslog (int verbosity)
template<typename T>
aslog & | operator<< (T &&x)
std::ostream & | get_ostream ()

## Static Public Member Functions

static int | aslog_level ()

## Detailed Description

Definition at line 16 of file ASLog.h.

## Constructor & Destructor Documentation

## aslog()

Halide::Internal::aslog::aslog | ( | int | verbosity | ) |

inline explicit

Definition at line 20 of file ASLog.h.

References aslog_level().

Referenced by operator<<().

## Member Function Documentation

## operator<<()

template<typename T>

aslog & Halide::Internal::aslog::operator<< | ( | T && | x | ) |

inline

Definition at line 25 of file ASLog.h.

References aslog().

## get_ostream()

std::ostream & Halide::Internal::aslog::get_ostream | ( |  | ) |

inline

Definition at line 32 of file ASLog.h.

## aslog_level()

int Halide::Internal::aslog::aslog_level | ( |  | ) |

static

Referenced by aslog().

The documentation for this class was generated from the following file:

- src/autoschedulers/common/ASLog.h